# eric6.WebBrowser.QtHelp.HelpIndexWidget

Module implementing a window for showing the QtHelp index.

### Global Attributes

None

### Classes

HelpIndexWidget | Class implementing a window for showing the QtHelp index.

### Functions

None

## HelpIndexWidget

Class implementing a window for showing the QtHelp index.

### Signals

escapePressed()
  emitted when the ESC key was pressed
newBackgroundTab(QUrl, str)
  emitted to open an entry in a new background tab
newTab(QUrl, str)
  emitted to open an entry in a new tab
newWindow(QUrl, str)
  emitted to open an entry in a new window
openUrl(QUrl, str)
  emitted to open an entry in the current tab

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

HelpIndexWidget | Constructor
__disableSearchEdit | Private slot to enable the search edit.
__enableSearchEdit | Private slot to enable the search edit.
__filterIndices | Private slot to filter the indexes according to the given filter.
__linkActivated | Private slot to handle the activation of a keyword entry.
__linksActivated | Private slot to handle the activation of an entry with multiple links.
__selectLink | Private method to give the user a chance to select among the returned links.
__showContextMenu | Private slot showing the context menu.
eventFilter | Public method called to filter the event queue.
focusInEvent | Protected method handling focus in events.

### Static Methods

None

#### HelpIndexWidget (Constructor)

HelpIndexWidget(engine, parent=None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent widget (QWidget)

#### HelpIndexWidget.__disableSearchEdit

__disableSearchEdit()

Private slot to enable the search edit.

#### HelpIndexWidget.__enableSearchEdit

__enableSearchEdit()

Private slot to enable the search edit.

#### HelpIndexWidget.__filterIndices

__filterIndices(indexFilter)

Private slot to filter the indexes according to the given filter.

indexFilter
  filter to be used (string)

#### HelpIndexWidget.__linkActivated

__linkActivated(url, keyword, modifiers=None)

Private slot to handle the activation of a keyword entry.

url (QUrl)
  URL of the selected entry
keyword (str)
  keyword for the URL
modifiers= (Qt.KeyboardModifiers or None)
  keyboard modifiers

#### HelpIndexWidget.__linksActivated

__linksActivated(links, keyword)

Private slot to handle the activation of an entry with multiple links.

links (dict of key:str and value:QUrl)
  dictionary containing the links
keyword (str)
  keyword for the entry

#### HelpIndexWidget.__selectLink

__selectLink(links, keyword)

Private method to give the user a chance to select among the returned links.

links (dictionary of str (key) and QUrl (value))
  dictionary of document title and URL to select from
keyword (str)
  keyword for the link set

Returns:
  selected link

Return Type:
  QUrl

#### HelpIndexWidget.__showContextMenu

__showContextMenu(pos)

Private slot showing the context menu.

pos
  position to show the menu at (QPoint)

#### HelpIndexWidget.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched
  the QObject being watched (QObject)
event
  the event that occurred (QEvent)

Returns:
  flag indicating whether the event was handled (boolean)

#### HelpIndexWidget.focusInEvent

focusInEvent(evt)

Protected method handling focus in events.

evt
  reference to the focus event object (QFocusEvent)

Up